"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AppModule = void 0;
const admin_authentication_module_1 = require("./modules/admin-authentication/admin-authentication.module");
const admin_authorization_module_1 = require("./modules/admin-authorization/admin-authorization.module");
const permission_1 = require("./modules/admin-authorization/permission");
const role_1 = require("./modules/admin-authorization/role");
const admin_user_module_1 = require("./modules/admin-user/admin-user.module");
const common_1 = require("@moonlightjs/common");
const common_2 = require("@nestjs/common");
const core_1 = require("@nestjs/core");
const app_controller_1 = require("./app.controller");
const app_service_1 = require("./app.service");
let AppModule = class AppModule {
};
AppModule = __decorate([
    (0, common_2.Module)({
        imports: [
            common_1.PrismaModule.forRoot({
                isGlobal: true,
                prismaServiceOptions: {
                    prismaOptions: {
                        log: [
                            {
                                emit: 'event',
                                level: 'query',
                            },
                            {
                                emit: 'stdout',
                                level: 'error',
                            },
                            {
                                emit: 'stdout',
                                level: 'info',
                            },
                            {
                                emit: 'stdout',
                                level: 'warn',
                            },
                        ],
                        errorFormat: 'colorless',
                    },
                    events: {
                        query: common_1.logQueryEvent,
                    },
                },
            }),
            admin_authentication_module_1.AdminAuthenticationModule,
            admin_authorization_module_1.AdminAuthorizationModule,
            admin_user_module_1.AdminUserModule,
        ],
        controllers: [app_controller_1.AppController],
        providers: [
            app_service_1.AppService,
            {
                provide: core_1.APP_GUARD,
                useClass: role_1.AdminRolesGuard,
            },
            {
                provide: core_1.APP_GUARD,
                useClass: permission_1.AdminPermissionsGuard,
            },
        ],
    })
], AppModule);
exports.AppModule = AppModule;
//# sourceMappingURL=app.module.js.map