"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AdminUserErrorCodes = void 0;
const common_1 = require("@nestjs/common");
const PREFIX_MODULE_NAME = 'ADMIN_USER';
const AdminUserErrorCodes = {
    Unauthorized: {
        code: `${PREFIX_MODULE_NAME}:100000`,
        statusCode: common_1.HttpStatus.UNAUTHORIZED,
        message: 'Unauthorized',
    },
    UserDeactivated: {
        code: `${PREFIX_MODULE_NAME}:200000`,
        statusCode: common_1.HttpStatus.BAD_REQUEST,
        message: 'User is deactivated',
    },
    UserDeleted: {
        code: `${PREFIX_MODULE_NAME}:200001`,
        statusCode: common_1.HttpStatus.BAD_REQUEST,
        message: 'User is deleted',
    },
    UserAlreadyExists: {
        code: `${PREFIX_MODULE_NAME}:200002`,
        statusCode: common_1.HttpStatus.BAD_REQUEST,
        message: 'User already exists',
    },
    UserNotExists: {
        code: `${PREFIX_MODULE_NAME}:100003`,
        statusCode: common_1.HttpStatus.NOT_FOUND,
        message: 'User is not exist',
    },
    PasswordInvalid: {
        code: `${PREFIX_MODULE_NAME}:200004`,
        statusCode: common_1.HttpStatus.BAD_REQUEST,
        message: 'Password invalid',
    },
    PermissionNotExists: {
        code: `${PREFIX_MODULE_NAME}:300000`,
        statusCode: common_1.HttpStatus.NOT_FOUND,
        message: 'Permission not exists',
    },
    PermissionAlreadyExists: {
        code: `${PREFIX_MODULE_NAME}:300001`,
        statusCode: common_1.HttpStatus.BAD_REQUEST,
        message: 'Permission already exists',
    },
    SystemPermissionCannotModified: {
        code: `${PREFIX_MODULE_NAME}:300002`,
        statusCode: common_1.HttpStatus.BAD_REQUEST,
        message: 'System permission cannot modified',
    },
    SystemPermissionCannotDeleted: {
        code: `${PREFIX_MODULE_NAME}:300003`,
        statusCode: common_1.HttpStatus.BAD_REQUEST,
        message: 'System permission cannot deleted',
    },
    RoleNotExists: {
        code: `${PREFIX_MODULE_NAME}:400000`,
        statusCode: common_1.HttpStatus.NOT_FOUND,
        message: 'Role not exists',
    },
    RoleAlreadyExists: {
        code: `${PREFIX_MODULE_NAME}:400001`,
        statusCode: common_1.HttpStatus.BAD_REQUEST,
        message: 'Role already exists',
    },
    SystemRoleCannotModified: {
        code: `${PREFIX_MODULE_NAME}:400002`,
        statusCode: common_1.HttpStatus.BAD_REQUEST,
        message: 'System role cannot modified',
    },
    SystemRoleCannotDeleted: {
        code: `${PREFIX_MODULE_NAME}:400003`,
        statusCode: common_1.HttpStatus.BAD_REQUEST,
        message: 'System role cannot deleted',
    },
};
exports.AdminUserErrorCodes = AdminUserErrorCodes;
//# sourceMappingURL=error-codes.js.map