"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AdminLocalStrategy = void 0;
const admin_authentication_service_1 = require("../admin-authentication.service");
const common_1 = require("@moonlightjs/common");
const common_2 = require("@nestjs/common");
const passport_1 = require("@nestjs/passport");
const constants_1 = require("../../../constants");
const passport_local_1 = require("passport-local");
let AdminLocalStrategy = class AdminLocalStrategy extends (0, passport_1.PassportStrategy)(passport_local_1.Strategy, 'admin-local') {
    constructor(_adminAuthenticationService) {
        super({
            passReqToCallback: true,
        });
        this._adminAuthenticationService = _adminAuthenticationService;
    }
    async validate(request, username, password) {
        const user = await this._adminAuthenticationService.validateUser({
            username,
            password,
        });
        if (!user) {
            throw new common_1.HttpErrorException(constants_1.AdminUserErrorCodes.UserNotExists);
        }
        if (user.isActive === false) {
            throw new common_1.HttpErrorException(constants_1.AdminUserErrorCodes.UserDeactivated);
        }
        if (user === null || user === void 0 ? void 0 : user.deletedAt) {
            throw new common_1.HttpErrorException(constants_1.AdminUserErrorCodes.UserDeleted);
        }
        request.userAdmin = user;
    }
};
AdminLocalStrategy = __decorate([
    (0, common_2.Injectable)(),
    __metadata("design:paramtypes", [admin_authentication_service_1.AdminAuthenticationService])
], AdminLocalStrategy);
exports.AdminLocalStrategy = AdminLocalStrategy;
//# sourceMappingURL=admin-local.strategy.js.map