"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AdminPermissionController = void 0;
const admin_jwt_auth_guard_1 = require("../../admin-authentication/guards/admin-jwt-auth.guard");
const admin_permission_service_1 = require("./admin-permission.service");
const admin_permissions_decorator_1 = require("./admin-permissions.decorator");
const admin_permission_dto_1 = require("./dto/admin-permission.dto");
const create_admin_permission_input_1 = require("./dto/create-admin-permission.input");
const update_admin_permission_input_1 = require("./dto/update-admin-permission.input");
const common_1 = require("@moonlightjs/common");
const common_2 = require("@nestjs/common");
const swagger_1 = require("@nestjs/swagger");
const client_1 = require("@prisma/client");
const admin_permission_1 = require("../../../constants/admin-permission");
const error_codes_1 = require("../../../constants/error-codes");
let AdminPermissionController = class AdminPermissionController {
    constructor(permissionService) {
        this.permissionService = permissionService;
    }
    create(createAdminPermissionInput, params) {
        return this.permissionService.create(Object.assign(Object.assign({}, params), { data: Object.assign({}, createAdminPermissionInput) }));
    }
    findAll(params) {
        return this.permissionService.findAll(params);
    }
    findAllPagination(params) {
        return this.permissionService.findAllPagination(params);
    }
    findOne(id, params) {
        params.where = {
            id,
        };
        return this.permissionService.findOne(params);
    }
    async update(id, updateAdminPermissionInput, params) {
        const adminPermission = await this.permissionService.findOne({
            where: { id },
        });
        if (adminPermission.isSystem) {
            throw new common_1.HttpErrorException(error_codes_1.AdminUserErrorCodes.SystemPermissionCannotModified);
        }
        return this.permissionService.update(Object.assign(Object.assign({}, params), { where: {
                id,
            }, data: Object.assign({}, updateAdminPermissionInput) }));
    }
    async remove(id) {
        const adminPermission = await this.permissionService.findOne({
            where: { id },
        });
        if (adminPermission.isSystem) {
            throw new common_1.HttpErrorException(error_codes_1.AdminUserErrorCodes.SystemPermissionCannotDeleted);
        }
        return this.permissionService.remove({
            id,
        });
    }
};
__decorate([
    (0, swagger_1.ApiBearerAuth)(),
    (0, swagger_1.ApiBody)({
        type: create_admin_permission_input_1.CreateAdminPermissionInput,
    }),
    (0, common_1.OpenApiResponse)({
        status: common_2.HttpStatus.CREATED,
        model: admin_permission_dto_1.AdminPermissionDto,
    }),
    (0, admin_permissions_decorator_1.RequireAdminPermissions)(admin_permission_1.ADMIN_PERMISSIONS.AdminPermission.Create),
    (0, common_2.Post)(),
    __param(0, (0, common_2.Body)()),
    __param(1, (0, common_2.Query)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [create_admin_permission_input_1.CreateAdminPermissionInput, Object]),
    __metadata("design:returntype", void 0)
], AdminPermissionController.prototype, "create", null);
__decorate([
    (0, swagger_1.ApiQuery)({
        type: common_1.FindManyArgs,
    }),
    (0, swagger_1.ApiBearerAuth)(),
    (0, common_1.OpenApiResponse)({
        status: common_2.HttpStatus.OK,
        model: admin_permission_dto_1.AdminPermissionDto,
        isArray: true,
    }),
    (0, admin_permissions_decorator_1.RequireAdminPermissions)(admin_permission_1.ADMIN_PERMISSIONS.AdminPermission.Read),
    (0, common_2.Get)(),
    __param(0, (0, common_2.Query)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object]),
    __metadata("design:returntype", void 0)
], AdminPermissionController.prototype, "findAll", null);
__decorate([
    (0, swagger_1.ApiQuery)({
        type: common_1.FindManyArgs,
    }),
    (0, swagger_1.ApiBearerAuth)(),
    (0, common_1.OpenApiPaginationResponse)(admin_permission_dto_1.AdminPermissionDto),
    (0, admin_permissions_decorator_1.RequireAdminPermissions)(admin_permission_1.ADMIN_PERMISSIONS.AdminPermission.Read),
    (0, common_2.Get)('/pagination'),
    __param(0, (0, common_2.Query)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object]),
    __metadata("design:returntype", void 0)
], AdminPermissionController.prototype, "findAllPagination", null);
__decorate([
    (0, swagger_1.ApiQuery)({
        type: common_1.FindOneArgs,
    }),
    (0, swagger_1.ApiBearerAuth)(),
    (0, common_1.OpenApiResponse)({ status: common_2.HttpStatus.OK, model: admin_permission_dto_1.AdminPermissionDto }),
    (0, admin_permissions_decorator_1.RequireAdminPermissions)(admin_permission_1.ADMIN_PERMISSIONS.AdminPermission.Read),
    (0, common_2.Get)(':id'),
    __param(0, (0, common_2.Param)('id')),
    __param(1, (0, common_2.Query)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, Object]),
    __metadata("design:returntype", void 0)
], AdminPermissionController.prototype, "findOne", null);
__decorate([
    (0, swagger_1.ApiBearerAuth)(),
    (0, common_1.OpenApiResponse)({ status: common_2.HttpStatus.OK, model: admin_permission_dto_1.AdminPermissionDto }),
    (0, swagger_1.ApiBody)({
        type: update_admin_permission_input_1.UpdateAdminPermissionInput,
    }),
    (0, admin_permissions_decorator_1.RequireAdminPermissions)(admin_permission_1.ADMIN_PERMISSIONS.AdminPermission.Update),
    (0, common_2.Patch)(':id'),
    __param(0, (0, common_2.Param)('id')),
    __param(1, (0, common_2.Body)()),
    __param(2, (0, common_2.Query)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, update_admin_permission_input_1.UpdateAdminPermissionInput, Object]),
    __metadata("design:returntype", Promise)
], AdminPermissionController.prototype, "update", null);
__decorate([
    (0, swagger_1.ApiBearerAuth)(),
    (0, swagger_1.ApiResponse)({ status: common_2.HttpStatus.OK, type: common_1.SuccessResponseDto }),
    (0, admin_permissions_decorator_1.RequireAdminPermissions)(admin_permission_1.ADMIN_PERMISSIONS.AdminPermission.Delete),
    (0, common_2.Delete)(':id'),
    __param(0, (0, common_2.Param)('id')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String]),
    __metadata("design:returntype", Promise)
], AdminPermissionController.prototype, "remove", null);
AdminPermissionController = __decorate([
    (0, swagger_1.ApiTags)('admin-permission'),
    (0, common_2.Controller)({
        path: 'admin/permissions',
        version: '1',
    }),
    (0, common_2.UseGuards)(admin_jwt_auth_guard_1.AdminJwtAuthGuard),
    __metadata("design:paramtypes", [admin_permission_service_1.AdminPermissionService])
], AdminPermissionController);
exports.AdminPermissionController = AdminPermissionController;
//# sourceMappingURL=admin-permission.controller.js.map