import { CreateAdminUserInput } from '@modules/admin-user/dto';
import { ChangeAdminPasswordInput } from '@modules/admin-user/dto/change-admin-password.input';
import { UpdateAdminUserInput } from '@modules/admin-user/dto/update-admin-user.input';
import { Prisma } from '@prisma/client';
import { AdminJwtPayload } from '../admin-authentication/admin-jwt-payload';
import { AdminUserService } from './admin-user.service';
import { AdminUserDto } from './dto/admin-user.dto';
export declare class AdminUserController {
    protected readonly adminUserService: AdminUserService;
    constructor(adminUserService: AdminUserService);
    getMe(user: AdminJwtPayload, params: Pick<Prisma.AdminUserFindFirstArgs, 'include' | 'select'>): Promise<unknown>;
    updatePassword(user: AdminJwtPayload, params: ChangeAdminPasswordInput): Promise<void>;
    create(createAdminUserInput: CreateAdminUserInput, params: Omit<Prisma.AdminUserCreateArgs, 'data'>): Promise<AdminUserDto>;
    findAll(params: Prisma.AdminUserFindManyArgs): Promise<AdminUserDto[]>;
    findAllPagination(params: Prisma.AdminUserFindManyArgs): Promise<import("@moonlightjs/common").PagedResultDto<AdminUserDto>>;
    findOne(id: string, params: Prisma.AdminUserFindUniqueArgs): Promise<unknown>;
    resetPassword(id: string): Promise<void>;
    update(id: string, updateAdminUserInput: UpdateAdminUserInput, params: Omit<Prisma.AdminUserUpdateArgs, 'data' | 'where'>): Promise<AdminUserDto>;
    remove(id: string): Promise<boolean>;
}
