import { PagedResultDto, PrismaService } from '@moonlightjs/common';
import { ConfigService } from '@nestjs/config';
import { Prisma } from '@prisma/client';
import { ChangeAdminPasswordInput } from 'module/modules/admin-user/dto/change-admin-password.input';
import { AdminUserDto } from './dto';
export declare class AdminUserService {
    protected prisma: PrismaService;
    protected configService: ConfigService;
    constructor(prisma: PrismaService, configService: ConfigService);
    getMe(id: string): Promise<unknown>;
    changePassword(id: string, input: ChangeAdminPasswordInput): Promise<void>;
    findOne(params: Prisma.AdminUserFindFirstArgs): Promise<unknown>;
    findAll(params: Prisma.AdminUserFindManyArgs): Promise<AdminUserDto[]>;
    findAllPagination(params: Prisma.AdminUserFindManyArgs): Promise<PagedResultDto<AdminUserDto>>;
    create(params: Prisma.AdminUserCreateArgs): Promise<AdminUserDto>;
    update(params: Prisma.AdminUserUpdateArgs): Promise<AdminUserDto>;
    remove(where: Prisma.AdminUserWhereUniqueInput): Promise<boolean>;
    resetPassword(id: string): Promise<void>;
}
